com.mysql.cj.jdbc.result

## Interface CachedResultSetMetaData

All Superinterfaces:
  ColumnDefinition, ProtocolEntity

    public interface CachedResultSetMetaData
    extends ColumnDefinition

### Method Summary

All Methods Instance Methods Abstract Methods
`ResultSetMetaData` `getMetadata()`
`void` `setMetadata(ResultSetMetaData metadata)`

### Methods inherited from interface com.mysql.cj.protocol.ColumnDefinition

`buildIndexMapping, exportTo, findColumn, getColumnLabelToIndex, getColumnNameToIndex, getColumnToIndexCache, getFields, getFullColumnNameToIndex, hasBuiltIndexMapping, hasLargeFields, initializeFrom, setColumnLabelToIndex, setColumnNameToIndex, setColumnToIndexCache, setFields, setFullColumnNameToIndex`

### Method Detail

#### getMetadata

    ResultSetMetaData getMetadata()

#### setMetadata

    void setMetadata(ResultSetMetaData metadata)

Copyright © 2016, 2024, Oracle and/or its affiliates.